# notional #

[![PyPI](https://img.shields.io/pypi/v/notional.svg)](https://pypi.org/project/notional)
[![LICENSE](https://img.shields.io/github/license/jheddings/notional)](https://github.com/jheddings/notional/blob/main/LICENSE)
[![Code Style](https://img.shields.io/badge/code%20style-black-black)](https://github.com/ambv/black)

Notional is loosely modeled after concepts found in
[SQLAlchemy](http://www.sqlalchemy.org) and [MongoEngine](http://mongoengine.org).
This module is built on the [notion-sdk-py](https://github.com/ramnes/notion-sdk-py)
library, providing higher-level access to the API.

## Developer Guides ##

* [Getting Started](start.md)
* [Querying the API](query.md)
* [Content Iterators](iterators.md)
* [Document Parsing](parser.md)
* [Object-Relational Mapping](orm.md)

## Getting Help ##

If you are stuck, the best place to start is the
[Discussion](https://github.com/jheddings/notional/discussions) area.  Use this also as
a resource for asking questions or providing suggestions.

### Known Issues ###

See [Issues](https://github.com/jheddings/notional/issues) on github.

### Feature Requests ###

See [Issues](https://github.com/jheddings/notional/issues) on github.

## Contributing ##

Read the [contributing guide](contributing.md).
